package com.uas.eis.controller;

import java.util.HashMap;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import com.uas.eis.service.YundingService;
//import com.uas.eis.service.UserService;

@RestController
public class YundingController {

	@Autowired
	private YundingService yundingService;
	
	/**
	 * 出入库单审核传云顶数据中心接口
	 */
	@RequestMapping("/ProdInOutAuidted.action")
	@ResponseBody
	public Map<String, Object> ProdInOutAuidted(int id,String piclass){
		Map<String, Object> modelMap = new HashMap<String, Object>();
		yundingService.ProdInOutAuidted(id,piclass);
		modelMap.put("success", true);
		return modelMap;
	} 
	
	/**
	 * 出入库单云顶数据中心传UAS过账接口
	 */
	@RequestMapping("/ProdInOutPOST.action")
	@ResponseBody
	public Map<String, Object> ProdInOutPOST(String Store){
		Map<String, Object> modelMap = new HashMap<String, Object>();
		yundingService.ProdInOutPOST(Store);
		modelMap.put("success", true);
		return modelMap;
	} 
	
	/**
	 * 销售订单云顶数据中心传UAS并生成一张已过账销售出货单接口
	 */
	@RequestMapping("/Salereceive.action")
	@ResponseBody
	public Map<String, Object> Salereceive(String Store){
		Map<String, Object> modelMap = new HashMap<String, Object>();
		yundingService.Salereceive(Store);
		modelMap.put("success", true);
		return modelMap;
	} 
	/**
	 * 销售退货单云顶数据中心传UAS并过账接口
	 */
	@RequestMapping("/SaleReturn.action")
	@ResponseBody
	public Map<String, Object> SaleReturn(String Store){
		Map<String, Object> modelMap = new HashMap<String, Object>();
		yundingService.SaleReturn(Store);
		modelMap.put("success", true);
		return modelMap;
	} 
	/**
	 * 销售退货单云顶数据中心传UAS反过账删除接口
	 */
	@RequestMapping("/SaleReturnDelete.action")
	@ResponseBody
	public Map<String, Object> SaleReturnDelete(String Store){
		Map<String, Object> modelMap = new HashMap<String, Object>();
		yundingService.SaleReturnDelete(Store);
		modelMap.put("success", true);
		return modelMap;
	} 
}
